//---------------------------------------------DRAW SCANMODE-------------------------------------------------------------------------------------------------
void DrawScanmode(){

  tft.fillScreen(ILI9341_BLACK);
  tft.setRotation(3);
  tft.drawRect(6, 6, 314, 234, ILI9341_WHITE);
  tft.drawRoundRect(8, 8, 310, 230, 5, ILI9341_WHITE);

  
    tft.setCursor(34,34);
    tft.setTextSize(3);
    int RadStart = 0;
 if (AltMode == 0){
  if (ScanMode == 5){
//leds[1] = CRGB(40,40,40); FastLED.show(); //Status LED White
    tft.setTextColor(ILI9341_WHITE, ILI9341_BLACK);
    tft.print("Scan Mode: LUM ");
    tft.setTextSize(2);tft.setTextColor(ILI9341_WHITE, ILI9341_BLACK);
    tft.setCursor(25,80);tft.print("LUX: ");
    tft.setCursor(25,100);tft.print("VIS: ");
    tft.setCursor(25,120);tft.print("IR : ");
    tft.setTextSize(2);tft.setTextColor(ILI9341_CYAN, ILI9341_BLACK);
    tft.setCursor(25,140);tft.print("UV : ");
    tft.setCursor(25,160);tft.print("UVI: ");
    tft.setTextSize(2);tft.setTextColor(ILI9341_YELLOW, ILI9341_BLACK);
    tft.setCursor(25,190);tft.print("Thyndall ATM;");
    tft.setTextSize(1);tft.setTextColor(ILI9341_WHITE, ILI9341_BLACK);
    tft.setCursor(25,220);tft.print("RED: ");
    tft.setCursor(125,220);tft.print("IR: ");
    tft.setCursor(210,220);tft.print("GREEN: ");
  }
  
  else if (ScanMode == 1){   
//leds[1] = CRGB(5,40,70); FastLED.show(); //Cyan
    tft.setTextColor(ILI9341_CYAN, ILI9341_BLACK);   
    tft.print("Scan Mode: ATM ");
    tft.setTextSize(2);tft.setTextColor(ILI9341_GREEN, ILI9341_BLACK);
      //tft.setCursor(25,115);tft.print("GRID Max: ");
      //tft.setCursor(25,135);tft.print("GRID Avg: ");     
    //tft.setCursor(25,95);tft.print("Target A: ");
    //tft.setCursor(25,115);tft.print("Target D: ");
    //tft.setCursor(25,135);tft.print("Temp Avg: ");
    //tft.setCursor(25,155);tft.print("Pressure: ");
    //tft.setCursor(25,175);tft.print("Humidity: ");
    //tft.setCursor(25,210);tft.print("Distance: ");




 tft.setCursor(25,75);tft.print("Altitude: ");
 tft.setCursor(25,95);tft.print("Pressure: ");
 tft.setCursor(25,115);tft.print("Humidity: ");
 tft.setCursor(25,135);tft.print("Temp Avg: ");
 tft.setCursor(25,170);tft.print("Target A: ");
 tft.setCursor(25,190);tft.print("Target D: ");
 tft.setCursor(25,210);tft.print("Distance: ");





    
    tft.drawRect((gridStartX-2), (gridStartY-2), 67, 67, ILI9341_WHITE);
    tft.drawRect((gridStartX+23), (gridStartY+23), 17, 17, ILI9341_WHITE);
    tft.setCursor(255,152);tft.setTextSize(1);tft.setTextColor(ILI9341_CYAN, ILI9341_BLACK);tft.print("-GRIDeye-");
    tft.setCursor(25,152);
    tft.print("--------------------------------------");
  }
  
  else if (ScanMode == 3){    
//leds[1] = CRGB(60,0,60); FastLED.show(); //Status LED Purple
    tft.setTextColor(ILI9341_PINK, ILI9341_BLACK);
    tft.print("Scan Mode:FIELD");
    tft.drawFastHLine(160, 147, 300, ILI9341_YELLOW);  
    tft.drawFastVLine(160, 64, 230, ILI9341_YELLOW);  



//=========================================================================================
     scale1 = 1;
     scale2 = 2;
     scale4 = 4;
     incrementation = 172;

     tft.setRotation(3);
     tft.fillRect(170,150,2,150,WHITE);//LINHA VERTICAL
     tft.fillRect(170,220,272,2,WHITE);//LINHA HORIZONTAL

     tft.drawLine(183,225,183,221,WHITE);
     tft.drawLine(193,225,193,221,WHITE);
     tft.drawLine(203,225,203,221,WHITE);
     tft.drawLine(213,225,213,221,WHITE);
     tft.drawLine(223,225,223,221,WHITE);
     tft.drawLine(233,225,233,221,WHITE);
     tft.drawLine(243,225,243,221,WHITE);
     tft.drawLine(253,225,253,221,WHITE);
     tft.drawLine(263,225,263,221,WHITE);
     tft.drawLine(273,225,273,221,WHITE);
     tft.drawLine(283,225,283,221,WHITE);
     tft.drawLine(293,225,293,221,WHITE);
     tft.drawLine(303,225,303,221,WHITE);
     //tft.drawLine(17,87,20,87,WHITE);
     //tft.drawLine(17,15,20,15,GREEN);

     tft.setCursor(260,230);
     tft.setTextColor(WHITE);
     tft.setTextSize(1);
     tft.println("Time (S)");

     tft.setCursor(181,228);
     tft.setTextColor(WHITE);
     tft.setTextSize(1);
     tft.println(scale1);

     tft.setCursor(191,228);
     tft.setTextColor(WHITE);
     tft.setTextSize(1);
     tft.println(scale2);

     tft.setCursor(211,228);
     tft.setTextColor(WHITE);
     tft.setTextSize(1);
     tft.println(scale4);

//====================================================================================
   
  }
 
  else if (ScanMode == 0){
//leds[1] = CRGB(85,0,0); FastLED.show(); //Status LED Red
    tft.setTextColor(ILI9341_RED, ILI9341_BLACK);
    tft.print("Scan Mode: GYRO");
    delay(500);

    tft.setTextColor(ILI9341_WHITE);
    tft.setTextSize(1);
  
  for (int count_p = 0; count_p <= 40; count_p += 10)
  {
    tft.setCursor(25, 145 - (count_p*2));
    tft.print(count_p);
  }
  for (int count_p = 10; count_p <= 40; count_p += 10)
  {
    tft.setCursor(20, 145 + (count_p*2));
    tft.print(- count_p);
  }
  
  for (int count_p = 0; count_p <= 40; count_p += 10)
  {
    tft.setCursor(285, 145 - (count_p*2));
    tft.print(count_p);
  }
  for (int count_p = 10; count_p <= 40; count_p += 10)
  {
    tft.setCursor(280, 145 + (count_p*2));
    tft.print(- count_p);
  }   
  }

 
  else if (ScanMode == 6){
    tft.setTextColor(ILI9341_GREEN, ILI9341_BLACK);
//leds[1] = CRGB(0,50,0); FastLED.show(); //Status LED Green
//leds[0] = CRGB(0,5,0); FastLED.show(); //COLOR pixel Green low
    tft.print("Scan Mode: RAD ");
    
    tft.setTextSize(2);
    tft.setTextColor(ILI9341_WHITE, ILI9341_BLACK);
    tft.setCursor(25,85);tft.print("Pulses/Sec:");
    tft.setCursor(25,105);tft.print("Avg Pulse: ");tft.setCursor(220,95);tft.print("uSv/h");

    tft.setTextSize(2);
    tft.setCursor(25,155);
    tft.setTextColor(ILI9341_GREEN, ILI9341_BLACK);
    tft.println("LAST GAMMA DETECTED:");
    tft.setCursor(25,175);
    tft.println("  n/a");   
  }
    else if (ScanMode == 4){
    tft.setTextColor(ILI9341_BLUE, ILI9341_BLACK);
    tft.print("Scan Mode:STORM");
    tft.setTextSize(1);tft.setTextColor(ILI9341_WHITE, ILI9341_BLACK);

        


  }
    else if (ScanMode == 7){

 //tcaselect(7);
 /*
  tft.setTextColor(ILI9341_BLUE);tft.setCursor(0, 0);
  tft.setTextSize(1);  tft.print("                18Ch-Spectroscope ");
//  tft.setTextSize(1);  tft.print("==================18Ch-Spectroscope==================");
  tft.setTextSize(1);
  
  tab1 = 0;

  tft.setCursor(tab1, 0+offsettextY);tft.setTextColor(ILI9341_GREEN);
  tft.print("Modus:");tft.setTextColor(ILI9341_WHITE);    
  
   tft.setCursor(tab1, 8+offsettextY);tft.setTextColor(ILI9341_GREEN);
  tft.print("Gain:    ");   tft.setCursor(tab1+84, 8+offsettextY);tft.setTextColor(ILI9341_WHITE);tft.println("x");           //tft.setTextColor(ILI9340_WHITE);    tft.setCursor(tab1+84, 8+offsettextY); tft.println("");
  
//  tft.setCursor(tab1, 8+8+offsettextY);tft.setTextColor(ILI9340_GREEN);
//  tft.print("LED_curr:");tft.setTextColor(ILI9340_WHITE);    tft.setCursor(tab1+84, 8+8+offsettextY); tft.println("mA");

  tft.setCursor(tab1, 8+8+offsettextY);tft.setTextColor(ILI9341_GREEN);
  tft.print("Int-Time: ");tft.setTextColor(ILI9341_WHITE);    tft.setCursor(tab1+84, 8+8+offsettextY); tft.println("ms");

  
  tft.setCursor(tab1, 24+8+offsettextY);tft.setTextColor(ILI9341_GREEN);
  tft.print("S1/2/3:");tft.setTextColor(ILI9341_WHITE);    tft.setCursor(tab1+18+82, 24+8+offsettextY); tft.println("C");
  
  tab1 = 100;
 
  tft.setTextColor(ILI9341_GREEN);
  tft.setCursor(tab1, 0+offsettextY);
  
  tft.print("Dynamic: ");tft.setTextColor(ILI9341_WHITE);    tft.setCursor(tab1+85, 0+offsettextY); tft.println("%");
  tft.setCursor(tab1, 8+offsettextY);
  tft.setTextColor(ILI9341_GREEN);
  tft.print("Sum: ");          //tft.setTextColor(ILI9340_WHITE);    tft.setCursor(tab1+85, 8+offsettextY); tft.println("%");

  tft.setTextColor(ILI9341_WHITE);
  tft.setCursor(tab1+40, 8+offsettextY); 
  tft.println("    uW/cm2");
  tft.drawLine(164 , 30 , 164 , 33 , ILI9341_WHITE);        //  extra linie für komplettes µ
*/




  
/*  tft.setTextColor(ILI9340_GREEN);
  tft.setCursor(tab1, 16+offsettextY);  
  tft.print("Fader2: ");tft.setTextColor(ILI9340_WHITE);    tft.setCursor(tab1+85, 16+offsettextY); tft.println("mm");
 */





 
/*
  tab1= 204;

  tft.setTextColor(ILI9341_GREEN);  
  tft.setCursor(tab1, 0+offsettextY);
  tft.print("Bat:    ");tft.setTextColor(ILI9341_WHITE);    tft.setCursor(tab1+85, 0+offsettextY);tft.println("V");
  
  tft.setCursor(tab1, 0+8+offsettextY);tft.setTextColor(ILI9341_GREEN);
  tft.print("Time:    ");tft.setTextColor(ILI9341_WHITE); 
  tft.setCursor(tab1, 8+8+offsettextY);tft.setTextColor(ILI9341_GREEN);
  tft.print("Date:");    tft.setTextColor(ILI9341_WHITE);  
  tft.setCursor(tab1, 16+8+offsettextY);tft.setTextColor(ILI9341_GREEN);
  tft.print("up-Time: ");tft.setTextColor(ILI9341_WHITE);    tft.setCursor(tab1+90, 16+8+offsettextY); tft.println("s");  

  tft.setTextColor(ILI9341_WHITE);     
*/



/*
for (int i = 0; i < 18; i++)              
{
  tft.drawLine(i*15+7 , 63 , i*15+7 , 213 , tft.color565(0, 60, 0));
}
  tft.drawLine(270 , 63 , 270 , 213 , tft.color565(20, 120, 20));
  
tft.drawLine(10 , 63 , 265 , 63 ,tft.color565(0, 60, 0));      //  ticks
tft.drawLine(10 , 63+75 , 265 , 63+75 ,tft.color565(0, 60, 0));
tft.drawLine(10 , 213 , 265 , 213 ,tft.color565(0, 60, 0));

tft.drawLine(270 , 63 , 275 , 63 , tft.color565(20, 120, 20));      //  ticks
tft.drawLine(270 , 63+75 , 275 , 63+75 , tft.color565(20, 120, 20));
tft.drawLine(270 , 213 , 275 , 213 , tft.color565(20, 120, 20));

  tft.setCursor(0, 220);
  tft.setTextColor(ILI9341_GREEN);
    for (int i = 0; i < 18; i++)
    {
      tft.print(freq[freqSort[i]]); tft.print("  "); i++;
    }
  tft.println("  ");
  tft.setCursor(3, 228);
  
    for (int i = 1; i < 18; i++)
    {
      tft.print("  "); tft.print(freq[freqSort[i]]); i++;
    }
  tft.setTextColor(ILI9341_WHITE);
  tft.print(" [nm]");

*/
  }

  
  else if (ScanMode == 2){
//leds[1] = CRGB(70,70,0); FastLED.show(); //Status LED White
    tft.setTextColor(ILI9341_YELLOW, ILI9341_BLACK);
    tft.print("Scan Mode: GAS ");
    tft.setTextSize(2);tft.setTextColor(ILI9341_RED, ILI9341_BLACK);
    //tft.setCursor(15,90);tft.print(" --All measurements in PPM--");
    tft.setCursor(15,80);tft.print("   Measurements in PPM");
    tft.setTextSize(1);tft.setTextColor(ILI9341_WHITE, ILI9341_BLACK);    
    tft.setCursor(20,115);tft.print("Ammonia----------(NH3): ");
    tft.setCursor(20,125);tft.print("Carbon Monoxide---(CO): ");
    tft.setCursor(20,135);tft.print("Nitrogen Dioxide-(NO2): ");
    tft.setCursor(20,145);tft.print("Propane---------(C3H8): ");
    tft.setCursor(20,155);tft.print("Butane---------(C4H10): ");
    tft.setCursor(20,165);tft.print("Methane----------(CH4): ");
    tft.setCursor(20,175);tft.print("Hydrogen----------(H2): ");
    tft.setCursor(20,185);tft.print("Ethanol-------(C2H5OH): ");
    tft.setTextSize(1);tft.setTextColor(ILI9341_GREEN, ILI9341_BLACK);
    tft.setCursor(20,200);tft.print("Carbon Dioxide------------------(CO2): ");
    tft.setCursor(20,210);tft.print("Volate Components--------------(TVOC): ");
    tft.setTextSize(2);tft.setTextColor(ILI9341_GREEN, ILI9341_BLACK);
    tft.setCursor(230,120);tft.print("TEMP.: ");
    tft.setCursor(265,150);tft.print("*C");

    
  }
}
}
