/*
 * 
Olympus Heavy Industries - Tricorder version 5 fw O
Based on loads of code, mostly not mine.
Uses ~30% memory space

Controller: 
  Adafruit Feather M0 Adalogger (https://www.adafruit.com/product/2796), CPU, SD
  
Sensors:
  Adafruit BME280 (https://www.adafruit.com/product/2652) - ATM: temp, humid, pres
  Adafruit SI1145 (https://www.adafruit.com/product/1777) - LUM: UV Index, IR
  Adafruit TCS34725 (https://www.adafruit.com/product/1334) - LUM: RGB
  Adafruit TSL2561 (https://www.adafruit.com/product/439) - LUM: Lux
  Adafruit VEML6070 (https://www.adafruit.com/product/2899) - LUM: UV
  generic MLX90614 (https://www.adafruit.com/product/1747) - ATM: Target Temp
  Panasonic GridEye (https://www.adafruit.com/product/3538) - ATM: GridEye
  RadiationWatch Pocket Geiger (http://www.radiation-watch.org/p/english.html) - RAD
  Xadow Multichannel Gas Sensor (http://wiki.seeed.cc/Xadow_Multichannel_Gas_Sensor/) - GAS


Hardware: 
  Adafruit CAP1188 (https://www.adafruit.com/product/1602)
  Adafruit 2.4" TFT LCD  (https://www.adafruit.com/product/2478)
  Adafruit DS3231 (https://www.adafruit.com/product/3013)
  Adafruit TCA9548A (https://www.adafruit.com/product/2717)
  Adafruit Neopixel (https://www.adafruit.com/product/1558)

Pin0- RX (nc) Lidar TFmini
Pin1- TX (nc) Lidar TFmini
Pin2- n/a (no external pin)
Pin3- n/a (no external pin)
Pin4- SD card CS (no external pin)
Pin5- Touch Interrupt (Sensor de toque - irq)
Pin6- TFT_CS
Pin7- SD card CD (no external pin)
Pin8- SD Red LED (no external pin)
Pin9-  Sensor de bateria
Pin10- ............................................Interrupt (Detector de relampago)
Pin11- ............................................Interrupt(Espectrografo)
Pin12- ............................................Ruido(Geiger)
Pin13- Feather red LED (not used)..................Sinal(Geiger)
Pin14- TFT_DC (as A0)
Pin15- Mainboard green LED Heartbeat (as A1)
Pin16- DATA_PIN for Neopixel (as A2)................Antena para 60 HZ
Pin17- LIVRE (as A3)..........................sensor pin microondas
Pin18- Speaker pin (as A4)
Pin19- RGB sensor LED control (as A5)
Pin20- SDA
Pin21- SCL
Pin22- MISO (TFT, SD)
Pin23- MOSI (TFT, SD)
Pin24- SCK (TFT, SD)
Na minha versão, o pino A1 foi trocado com o pino A3....
A3....Sensor pin...microondas


ButtonAct Variable:
Left   = 1
Enter = 2
Up  = 3
Down  = 4
X = 5
Right = 6

tcaselect(0); //i2c multiplexer set to GRIDEYE
tcaselect(1); //i2c multiplexer set to RTC
tcaselect(2); //i2c multiplexer set to BME280


Info for 9DOF:
Compass: 
tricorder X: Z
tricorder Y: X
tricorder Z: Y

gyro/accel:
tricorder X: X
tricorder Y: Z
tricorder Z: Y



                   ___Z+__
                  /       |
------------Y(-)-/        | Y+
__________________________|
          Z-

 ___________________
 |                  |
 |  X+           X- |
 |__________________|
 |                  |
 |                  |
 |                  |







*/
