void graph()
{ 

  int sensorval = 20*analogRead(sensorpin); 
  float voltage = (sensorval/1024.0) * 5.0; 
  float pwr = ((voltage - 0.269) * 40) - 77; 
  float volts = ((voltage - 0.269) * 40); 
  float pwrW = pow(10,((pwr - 30)/10)); 
  float vts = sqrt(pwrW * 50);
  float ptp = vts * 2.828;
  //Serial.println(sensorval);
     
  // get the values of the sensors
  valueBlock[0] = 10*analogRead(A1);
  valueBlock[1] = 10*analogRead(A2);
  valueBlock[2] = pwr;
  valueBlock[2] = sensorval;

/*
        for(int i = 0; i < sample; i++){        
        array1[i] = 10*analogRead(A2);          
        averaging += array1[i];               
        }                                       
        resul = averaging / sample;               
        resul = constrain(resul, 0, 10000);                                                                         
        valueBlock[1] = resul; 
        averaging = 0;
*/

  tft.setTextSize(1);tft.setTextColor(ILI9341_YELLOW, ILI9341_BLACK);
  tft.setCursor(27,70); tft.print("EMF1");
  tft.setCursor(77,70); tft.print("EMF2");
  tft.setCursor(127,70); tft.print("EMF3");

  

  
  
  if(proDebug)
  {
    Serial.println(valueBlock[0]);
    Serial.println(valueBlock[1]);
    Serial.println(valueBlock[2]);
    Serial.println("");
  }
  
  // map the sensor values to the graph size
  for(int i = 0; i < numberOfBlocks; i++)
  {
    posBlock[i] = map(valueBlock[i], 0, graphRange, originY, (originY - sizeY));
  }

  if(proDebug)
  {
    Serial.println(posBlock[0]);
    Serial.println(posBlock[1]);
    Serial.println(posBlock[2]);
    Serial.println("");
  }
/*
  // draw the blocks - draw only if value differs
  for(int i = 0; i < numberOfBlocks; i++)
  {
    if(posBlock[i] > (prevPosBlock[i] + 2) || posBlock[i] < (prevPosBlock[i] - 2))
    {
      prevPosBlock[i] = posBlock[i];
      tft.fillRect((mark[i * 2] + 1), (originY - sizeY), (boxSize - 1), sizeY, WHITE);
      delay(10);
      tft.fillRect((mark[i * 2] + 1), posBlock[i], (boxSize - 1), (originY - posBlock[i]), blockColor);
    }
  }
*/

  // draw the blocks anyway
  for(int i = 0; i < numberOfBlocks; i++)
  {  
    {
      prevPosBlock[i] = posBlock[i];
      tft.fillRect((mark[i * 2] + 1), (originY - sizeY), (boxSize - 1), sizeY, WHITE);
      delay(10);
      tft.fillRect((mark[i * 2] + 1), posBlock[i], (boxSize - 1), (originY - posBlock[i]), blockColor);
    }
  }


  // display values of sensors if mode selected
  if(displayValues)
  {
    for(int i = 0; i < numberOfMarks; i += 2)
    {
      tft.setCursor((mark[i] + 5), (originY + 10));
      //tft.setTextColor(BLACK, WHITE);
      tft.setTextColor(WHITE, BLACK);
      tft.setTextSize(1);
      tft.println(valueBlock[i / 2]);
    }
  }


  
  //Serial.println(valueBlock[2]);
  Serial.println(sensorval);
}
